#include "colors.inc"

camera{
  angle 20
  location<0,0,-10>
  look_at<0,0,0>
}

background{color rgb<0.3,0.4,1.2>}

light_source{<-3,10,-7> color White*2}

plane{
  <0,1,0>,-3
  pigment{checker Gray90 Gray60}
}


blob{
  threshold 0.65

  sphere{<-0.65,0.28,-0.05>,0.26,-1}  //counteract pinky knuckle bulge
  sphere{<-0.65,-0.28, 0>,  0.26,-1}  //counteract pinky palm bulge
  sphere{<-0.3,0.44,-0.05>, 0.26,-1}  //counteract ring knuckle bulge
  sphere{<-0.3,-0.28,0>,    0.26,-1}  //counteract ring palm bulge
  sphere{<0.05,0.49,-0.05>, 0.26,-1}  //counteract middle knuckle bulge
  sphere{<0.05,-0.28,0>,    0.26,-1}  //counteract middle palm bulge
  sphere{<0.4,0.512,-0.05>, 0.26,-1}  //counteract index knuckle bulge
  sphere{<0.4,-0.4,0>,      0.26,-1}  //counteract index palm bulge
  sphere{<0.85,-0.68,-0.05>,0.25,-1}  //counteract thumb knuckle bulge
  sphere{<0.41,-0.7,0>,  0.25,-0.89}  //counteract thumb heel bulge

  sphere{<-0.23,-0.32,0>,0.43,1    scale<1.95,1.05,0.8>}   //palm
  sphere{< 0.12,-0.41,0>,0.43,1    scale<1.95,1.075,0.8>}  //palm
  sphere{<-0.23,-0.63,0>,0.45,0.75 scale<1.78,1.3,1>}      //midhand
  sphere{< 0.19,-0.63,0>,0.45,0.75 scale<1.78,1.3,1>}      //midhand
  sphere{<-0.22,-0.73,0>,0.45,0.85 scale<1.4,1.25,1>}      //heel
  sphere{< 0.19,-0.73,0>,0.45,0.85 scale<1.4,1.25,1>}      //heel

  cylinder{<-0.65,-0.28, 0>,   <-0.65,0.28,-0.05>, 0.26,1}  //lower pinky
  cylinder{<-0.65, 0.28,-0.05>,<-0.65,0.68,-0.2>,  0.26,1}  //upper pinky
  cylinder{<-0.3, -0.28, 0>,   <-0.3,0.44,-0.05>,  0.26,1}  //lower ring
  cylinder{<-0.3,  0.44,-0.05>,<-0.3,0.9, -0.2>,   0.26,1}  //upper ring
  cylinder{< 0.05,-0.28, 0>,   < 0.05,0.49,-0.05>, 0.26,1}  //lower middle
  cylinder{< 0.05, 0.49,-0.05>,< 0.05,0.95,-0.2>,  0.26,1}  //upper middle
  cylinder{< 0.4, -0.4,  0>,   < 0.4,0.512,-0.05>, 0.26,1}  //lower index
  cylinder{< 0.4, 0.512,-0.05>,< 0.4,0.85,-0.2>,   0.26,1}  //upper index
  cylinder{< 0.41,-0.95, 0>,   < 0.85,-0.68,-0.05>,0.25,1}  //lower thumb
  cylinder{< 0.85,-0.68,-0.05>,< 1.2,-0.4,-0.2>,   0.25,1}  //upper thumb

  pigment{Flesh}
}

